com.smartgwt.client.types

## Enum DSServerType

- java.lang.Object
- - java.lang.Enum<DSServerType>
  - - com.smartgwt.client.types.DSServerType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DSServerType>

      public enum DSServerType
      extends java.lang.Enum<DSServerType>
      implements ValueEnum

  Indicates what Smart GWT Server will do with a DataSource request if you call dsRequest.execute() in server code.

  If you use a Java-based persistence layer not provided by Smart GWT, such as EJB or your own custom object model, you don't need to set `dataSource.serverType` and should follow the `integration instructions`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC` Requests will be delivered to the server and you are expected to write Java code to create a valid response.
    `HIBERNATE` Use Hibernate, either using a real mapped bean or by automatically generating a Hibernate configuration based on a Smart GWT DataSource file (dataSourceID.ds.xml).
    `JPA` Use Smart GWT's built-in JPA 2.0 connector.
    `JPA1` Use Smart GWT's built-in JPA 1.0 connector.
    `SQL` Use Smart GWT's `built-in SQL connectors` to talk directly to relational databases.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DSServerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DSServerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SQL

          public static final DSServerType SQL

      Use Smart GWT's `built-in SQL connectors` to talk directly to relational databases.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sql".

    - #### HIBERNATE

          public static final DSServerType HIBERNATE

      Use Hibernate, either using a real mapped bean or by automatically generating a Hibernate configuration based on a Smart GWT DataSource file (dataSourceID.ds.xml). See `HibernateIntegration` for details.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hibernate".

    - #### JPA

          public static final DSServerType JPA

      Use Smart GWT's built-in JPA 2.0 connector.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpa".

    - #### JPA1

          public static final DSServerType JPA1

      Use Smart GWT's built-in JPA 1.0 connector.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpa1".

    - #### GENERIC

          public static final DSServerType GENERIC

      Requests will be delivered to the server and you are expected to write Java code to create a valid response. Throws an error if the server side method dsRequest.execute() is called. This is appropriate if you intend an entirely custom implementation, and you want an error thrown if there is an attempt to call an operation you have not implemented.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "generic".

  - ### Method Detail

    - #### values

          public static DSServerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DSServerType c : DSServerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DSServerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`